#################################################
#
#  (C) 2022 Michele Calgaro
#  michele (DOT) calgaro (AT) yahoo (DOT) it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

#################################################
#####
##### tde_set_project_version

macro( tde_set_project_version )

  set( DEFAULT_VERSION "3.5.13.3~[DEVELOPMENT]" )

  unset( VERSION )

  if( EXISTS ${CMAKE_SOURCE_DIR}/.tdescminfo )
    file( STRINGS ${CMAKE_SOURCE_DIR}/.tdescminfo VERSION_STRING REGEX "^Version:.+$" )
    string( REGEX REPLACE "^Version: ([0-9]+\.[0-9]+\.[0-9]+.*)$" "\\1" VERSION "${VERSION_STRING}" )
  endif()

  if( NOT VERSION )
    set( VERSION "${DEFAULT_VERSION}" )
  endif()

endmacro( )

